Package Base Details: zfs-linux

Git Clone URL: https://aur.archlinux.org/zfs-linux.git (read-only, click to copy)
Submitter: demizer
Maintainer: minextu (archzfs-bot)
Last Packager: archzfs-bot
Votes: 237
Popularity: 1.78
First Submitted: 2016-04-21 08:45
Last Updated: 2021-01-22 11:41

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

francoism90 commented on 2020-04-07 07:19

@minextu Thanks for updating to Linux 5.6. :)

Is this upgrade stable and safe for daily use? Are these patches already in the git repo?

minextu commented on 2020-04-06 21:11

I added the necessary patches to make it work with linux 5.6

alem0lars commented on 2020-03-31 21:02

New version of Linux kernel has been released ( core/linux 5.5.13.arch2-1 ) making this version uncompatible

francoism90 commented on 2020-03-30 09:40

Will this be compatible with Linux 5.6? :)

minextu commented on 2020-03-01 21:08

@francoism90 There used to be a separate package for that. See the discussion on why it got removed: https://github.com/archzfs/archzfs/issues/273

francoism90 commented on 2020-03-01 13:53

@minextu Thanks for the update!

Could you please add your zfs-utils PKG as dep to AUR (e.g. zfs-linux-utils) instead? Current differs a lot and is being provided by someone else, causing issues.

yaogen commented on 2020-02-28 21:41

A fix to the 5.5 build issues has been merged. Updates should hopefully be coming soon. https://github.com/openzfs/zfs/issues/9745#issuecomment-592617605

francoism90 commented on 2020-02-06 09:51

@minextu Thanks for blocking Linux 5.5 and posting the upstream link. :)

To my understanding, even building the kernel with the patch, it may cause issues later on because it wasn't tested with Linux 5.5? Switching to linux-lts isn't a solution for everyone as it may cause other issues (AMD Zen2, Intel, etc.), unless things have been backported.

pasque commented on 2020-02-05 19:22

@minextu your PKGBUILD file still says linux 5.5.1.arch1-1 is a dependancy. Should it be linux 5.4.15.arch1-1 since ZFS is broken on 5.5?

minextu commented on 2020-02-05 00:09

ZFS is broken on linux 5.5 right now, so this won't build. For more information see https://github.com/archzfs/archzfs/issues/328

Edit: A patch has been implemented